#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <limits.h>

#define LED_CLASS_PATH "/sys/class/leds"

int main(int argc, char *argv[])
{
	int fd;
	char path[PATH_MAX];
	ssize_t len;

	if (argc < 3) {
		printf("usage: %s <led name> <brightness>\n", argv[0]);
		return EXIT_SUCCESS;
	}

	snprintf(path, PATH_MAX, "%s/%s/brightness",
		 LED_CLASS_PATH, argv[1]);

	fd = open(path, O_WRONLY);
	if (fd == -1) {
		perror("open");
		return EXIT_FAILURE;
	}

	len = write(fd, argv[2], strlen(argv[2]));
	if (len == -1) {
		perror("write");
		return EXIT_FAILURE;
	}

	close(fd);

	return EXIT_SUCCESS;
}
